# Copyright (c) 2010 by NetApp, Inc.  All Rights Reserved.
#

from btool.Defines import *

# Please contact ng-bedrock-core if you need to update this file.

Component (
    name            = 'build@php',
    variants        = (
        'x86_64',
        Config.coverity_variant,
    ),
    commands        = (
        "build.sh build NTAP_PLATFORM=$PLATFORM NTAP_PKG=$ARCH ARCH=$ARCH NOCOVERAGE=1",
    ),
    imports         = (
        'headers@apache',
        'headers@bsd_net',
        'headers@kerberos',
        'ulibso@kerberos',
        'headers@libcurl',
        'ulibso@libfiji',
        'headers@libiconv',
        'ulibso@libiconv',
        'headers@libmlog',
        'ulibso@libmlog',
        'ulibso@libmtrace',
        'headers@libntaperror',
        'ulibso@libntaperror',
        'ulibso@libsteadyuptime',
        'headers@libwsdb',
        'uliba@libwsdb',
        'headers@libxml',
        'ulibso@libxml',
        'ulibso@message_catalogs',
        'headers@ng_shared',
        'ulibso@ng_shared',
        'headers@openssl',
        'ulibso@openssl',
        'headers@freebsd',
        'libcxx@freebsd',
        'libraries@freebsd',
        'startup-files@freebsd',
        'stdhdrs@freebsd',
        'btool@compiler_config',
        'btool@coverityconfig',
        'btool@brenv',
        'interface@tools',               # for non-BCM build@php
    ),
)

Component (
    name            = 'btool@php',
    variants        = (
        'x86_64',
        Config.coverity_variant,
    ),
    imports         = (
        'build@php',
        'btool@coverityconfig',
    ),
)

Component (
    name            = 'uexe@php',
    imports         = (
        'build@php',
    ),
)

Component (
    name            = 'manifest@php',
    imports         = (
        'uexe@php',
    ),
)

Component (
    name            = 'coverity@php',
    variants        = (
        Config.coverity_variant,
    ),
    imports         = (
        'build@php',
        'uexe@php',
    ),
)

Component (
    name            = 'audit_ownership@php',
)
