#!/bin/sh

# Copyright (c) 2009 by NetApp, Inc.  All Rights Reserved.

# NOTE: converting BRIMPORT to absolue paths is not a viable
# solution for most compnents.  php currently needs abs paths
# (and has workarounds in place to make sure they work).  The
# need for absolute paths will be removed in a (near) future release.

#
# config components need the absolute path, hence the ${BRROOT}/../${BRIMPORT} below
#

echo "Temporarily re-adding old-style Bedrock environment variables:"
BRTOP=$BRWORKSPACE/$BRCOMPONENTDIR
export BREXPORT="$BRTOP/$BREXPORT"
export BRINTERNAL="$BRTOP/$BRINTERNAL"
export BRPRIVATE="$BRTOP/$BRPRIVATE"
export BRROOT="$BRTOP/bedrock"

export ARCH="$BRVARIANT"
export BROBJDIR="$BRPRIVATE"
export BROBJDIR_COMMON="$BRPRIVATE"
export COMPONENT="$BRCOMPONENT"
export PATH="${MAKEFILE_OVERRIDE_TOOLS_COMMON}/bin:$PATH:/usr/software/rats/bin:/usr/software/bin:/usr/bin:/bin"
export ROOT="${BRWORKSPACE}"
export SUBCOMPONENT="$BRSUBCOMPONENT"

if [ "$CPATH" != "" ]; then
    CPATH_EXP=`echo :${CPATH}:$BRROOT/../$BRIMPORT/headers | sed 's/:/ -I/g'`
    set "$@" "CPATH_EXP=${CPATH_EXP}"
else
    CPATH_EXP=-I$BRROOT/../$BRIMPORT/headers
    set "$@" "CPATH_EXP=${CPATH_EXP}"
fi

if [ -L "$BRROOT/../$BRIMPORT/stdhdrs/freebsd" ]; then
    CPATH_EXP+=" -I${BRROOT}/../${BRIMPORT}/stdhdrs/freebsd"
    set "$@" "CPATH_EXP=${CPATH_EXP}"
fi


if [ "$LIBRARY_PATH" != "" ]; then
    LIBRARY_PATH_EXP=`echo :${LIBRARY_PATH} | sed 's/:/ -L/g'`
    set "$@" "LIBRARY_PATH_EXP=${LIBRARY_PATH_EXP}"
fi

if [ -d "${BRIMPORT}/headers" ]; then
    export CPPFLAGS="${CPPFLAGS} -I${BRROOT}/../${BRIMPORT}/headers"
fi

echo "build.sh: CPPFLAGS=${CPPFLAGS}"


# Hints or configure, because configure cannot run some tests in a
# cross-compiled world.

export ac_cv_sizeof_struct_iovec=16
export apr_cv_tcp_nodelay_with_cork=no
export ac_cv_func_setpgrp_void=no
export ac_cv_file__dev_zero=yes
export ap_cv_void_ptr_lt_long=no
export ac_cv_struct_rlimit=yes

# - Testing for the command-line length is compute intensive and fails
#   in the build farm intermittently.  Using a slighly strange value
#   here to make sure we can easily verify when it is used by configure.
export lt_cv_sys_max_cmd_len=32761

COVBUILD_PREFIX=$($ROOT/tools/build/coverity.sh)

exec $COVBUILD_PREFIX brmake --log "$@"

